---
title: DOMTokenList.value
slug: Web/API/DOMTokenList/value
tags:
  - API
  - DOM
  - DOMTokenList
  - Property
  - Reference
  - value
---
<p>{{APIRef("DOM")}}</p>

<p>The <code><strong>value</strong></code> property of the {{domxref("DOMTokenList")}} interface is a stringifier that returns the value of the list as a {{domxref("DOMString")}}, or clears and sets the list to the given value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>tokenList</var>.value;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}</p>

<h2 id="Examples">Examples</h2>

<p>In the following example we retrieve the list of classes set on a {{htmlelement("span")}} element as a <code>DOMTokenList</code> using {{domxref("Element.classList")}}, then write the value of the list to the <code>&lt;span&gt;</code>'s {{domxref("Node.textContent")}}.</p>

<p>First, the HTML:</p>

<pre class="brush: html notranslate">&lt;span class="a b c"&gt;&lt;/span&gt;</pre>

<p>Now the JavaScript:</p>

<pre class="brush: js notranslate">let span = document.querySelector("span");
let classes = span.classList;
span.textContent = classes.value;
</pre>

<p>The output looks like this:</p>

<p>{{ EmbedLiveSample('Examples', '100%', 60) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG','#dom-domtokenlist-value','value')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMTokenList.value")}}</p>
</div>
